NX Open C++ Reference Guide
|
Represents the Flexible Printed Circuit Design preferences applicable to part
Preferences are in control of the part.
More...
Classes | |
struct | FlatPatternCalloutTypeDisplay |
The members of the following structure are the display data for a callout in a flat pattern drawing member view. More... | |
struct | FlatPatternObjectTypeDisplay |
The members of the following structure are the display data for an object in a flat pattern drawing member view. More... | |
Public Member Functions | |
void | Commit () |
Commits and applies all the settings done with set_callout_type_display and set_object_type_display. | |
NXOpen::Expression * | GetBendRadius () |
Returns the bend radius expression. | |
NXOpen::Expression * | GetBendReliefDepth () |
Returns the bend relief depth. | |
NXOpen::Expression * | GetBendReliefWidth () |
Returns the bend relief width. | |
double | GetDeviationalToleranceInFlatSolid () |
Returns the deviational tolerance during Flat Solid simplification. | |
void | GetFlatPatternAllCalloutTypeDisplay (std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay > &displayData) |
Returns the dialog names, identifiers, and enabled status for all the available callout types. | |
void | GetFlatPatternAllObjectTypeDisplay (std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay > &displayData) |
Returns the types, colors, fonts, widths, and enabled status for all the the available object types. | |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType | GetFlatPatternCalloutOrientationType () |
Returns the orientation type for flat pattern callouts. | |
std::vector< NXString > | GetFlatPatternCalloutTypeContents (const NXString &calloutType) |
Returns the contents for a callout type. | |
std::vector< NXString > | GetFlatPatternCalloutTypeContents (const char *calloutType) |
Returns the contents for a callout type. | |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay | GetFlatPatternCalloutTypeDisplay (const NXString &calloutType) |
Returns the display data for a callout type. | |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay | GetFlatPatternCalloutTypeDisplay (const char *calloutType) |
Returns the display data for a callout type. | |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay | GetFlatPatternObjectTypeDisplay (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType objectType) |
Returns the display data for a flat pattern object type. | |
NXOpen::NXColor * | GetFlexibleCableBottomFaceColor () |
Returns the bottom face color. | |
NXOpen::Expression * | GetFlexibleCableConductorSpacing () |
Returns the conductor spacing expression. | |
NXOpen::Expression * | GetFlexibleCableConductorWidth () |
Returns the conductor width expression. | |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions | GetFlexibleCableContactFace () |
Returns the contact face. | |
NXOpen::Expression * | GetFlexibleCableStrippingLength () |
Returns the stripping length expression. | |
NXOpen::NXColor * | GetFlexibleCableTopFaceColor () |
Returns the top face color. | |
NXOpen::Features::SheetMetal::FeatureProperty | GetInnerCornerTreatmentType () |
Returns the inner corner treatment type in Flat as Solid operation. | |
NXOpen::Expression * | GetInnerCornerTreatmentValue () |
Returns the inner corner treatment value for Flat as Solid operations. | |
bool | GetIsBsplineSimplifiedInFlatSolid () |
Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation. | |
bool | GetIsSystemGeneratedBendReliefRemovedInFlatSolid () |
Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation. | |
NXString | GetMaterial () |
Returns the material name saved with the part. | |
std::vector< NXString > | GetMaterialNames () |
Returns the material names defined in the material standards table. | |
std::vector< NXString > | GetMaterialProperties (const NXString &materialName, std::vector< NXString > &propertyNames) |
Returns the material name saved with the part. | |
std::vector< NXString > | GetMaterialProperties (const char *materialName, std::vector< NXString > &propertyNames) |
Returns the material name saved with the part. | |
double | GetMinimumArcToleranceInFlatSolid () |
Returns the minimum arc tolerance during Flat Solid simplification. | |
NXOpen::Expression * | GetNeutralFactor () |
Returns the neutral factor. | |
NXOpen::Features::SheetMetal::FeatureProperty | GetOuterCornerTreatmentType () |
Returns the outer corner treatment type in Flat as Solid operation. | |
NXOpen::Expression * | GetOuterCornerTreatmentValue () |
Returns the out corner treatment value for Flat as Solid operations. | |
NXOpen::Expression * | GetThickness () |
Returns the thickness expression. | |
void | SetBendRadius (bool updateModel, const NXString &bendRadius) |
Sets the bend radius value Created in NX4.0.0. | |
void | SetBendRadius (bool updateModel, const char *bendRadius) |
Sets the bend radius value Created in NX4.0.0. | |
void | SetBendReliefDepth (bool updateModel, const NXString &bendReliefDepth) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefDepth (bool updateModel, const char *bendReliefDepth) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefWidth (bool updateModel, const NXString &bendReliefWidth) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefWidth (bool updateModel, const char *bendReliefWidth) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid) |
Sets the deviational tolerance during Flat Solid simplification Created in NX4.0.0. | |
void | SetFlatPatternCalloutOrientationType (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType orientation) |
Sets the orientation type for flat pattern callouts. | |
void | SetFlatPatternCalloutTypeContents (const NXString &calloutType, std::vector< NXString > &contents) |
Sets the contents for a callout type. | |
void | SetFlatPatternCalloutTypeContents (const char *calloutType, std::vector< NXString > &contents) |
Sets the contents for a callout type. | |
void | SetFlatPatternCalloutTypeDisplay (const NXString &calloutType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay &displayData) |
Sets the display data for a callout type. | |
void | SetFlatPatternCalloutTypeDisplay (const char *calloutType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay &displayData) |
Sets the display data for a callout type. | |
void | SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType objectType, const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay &displayData) |
Sets the display data for a flat pattern object type. | |
void | SetFlexibleCableBottomFaceColor (NXOpen::NXColor *bottomFaceColor) |
Sets the bottom face color. | |
void | SetFlexibleCableConductorSpacing (const NXString &conductorSpacing) |
Sets the conductor spacing value string. | |
void | SetFlexibleCableConductorSpacing (const char *conductorSpacing) |
Sets the conductor spacing value string. | |
void | SetFlexibleCableConductorWidth (const NXString &conductorWidth) |
Sets the conductor width value string. | |
void | SetFlexibleCableConductorWidth (const char *conductorWidth) |
Sets the conductor width value string. | |
void | SetFlexibleCableContactFace (NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions faceOption) |
Sets the contact face. | |
void | SetFlexibleCableStrippingLength (const NXString &strippingLength) |
Sets the stripping length value string. | |
void | SetFlexibleCableStrippingLength (const char *strippingLength) |
Sets the stripping length value string. | |
void | SetFlexibleCableTopFaceColor (NXOpen::NXColor *topFaceColor) |
Sets the top face color. | |
void | SetInnerCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty innerCornerTreatmentType) |
Sets the inner corner treatment type in Flat as Solid operation Created in NX4.0.0. | |
void | SetInnerCornerTreatmentValue (bool updateModel, const NXString &innerCornerTreatment) |
Sets the the inner corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetInnerCornerTreatmentValue (bool updateModel, const char *innerCornerTreatment) |
Sets the the inner corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid) |
Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation Created in NX4.0.0. | |
void | SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved) |
Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation Created in NX4.0.0. | |
void | SetMaterial (bool updateModel, const NXString &standardName) |
Sets the material standard Created in NX4.0.0. | |
void | SetMaterial (bool updateModel, const char *standardName) |
Sets the material standard Created in NX4.0.0. | |
void | SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid) |
Sets the minimum arc tolerance during Flat Solid simplification Created in NX4.0.0. | |
void | SetNeutralFactor (bool updateModel, const NXString &neutralFactor) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetNeutralFactor (bool updateModel, const char *neutralFactor) |
Sets the bend relief depth value Created in NX4.0.0. | |
void | SetOuterCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty outerCornerTreatmentType) |
Sets the the outer corner treatment type in Flat as Solid operation Created in NX4.0.0. | |
void | SetOuterCornerTreatmentValue (bool updateModel, const NXString &outerCornerTreatment) |
Sets the outer corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetOuterCornerTreatmentValue (bool updateModel, const char *outerCornerTreatment) |
Sets the outer corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetThickness (bool updateModel, const NXString &thickness) |
Sets the thickness value string Created in NX4.0.0. | |
void | SetThickness (bool updateModel, const char *thickness) |
Sets the thickness value string Created in NX4.0.0. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the Flexible Printed Circuit Design preferences applicable to part
Preferences are in control of the part.
They can not be created but can only be changed.
Created in NX4.0.0.
The members of the following enumerated type are used to identify object types to the FlatPattern API.
These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::Commit | ( | ) |
Commits and applies all the settings done with set_callout_type_display and set_object_type_display.
It must be called after a sequence of calls to those methods to cause the view to update.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendRadius | ( | ) |
Returns the bend radius expression.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendReliefDepth | ( | ) |
Returns the bend relief depth.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetBendReliefWidth | ( | ) |
Returns the bend relief width.
double NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetDeviationalToleranceInFlatSolid | ( | ) |
Returns the deviational tolerance during Flat Solid simplification.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternAllCalloutTypeDisplay | ( | std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay > & | displayData | ) |
Returns the dialog names, identifiers, and enabled status for all the available callout types.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
displayData | Array of structures with the callout type display data. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternAllObjectTypeDisplay | ( | std::vector< NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay > & | displayData | ) |
Returns the types, colors, fonts, widths, and enabled status for all the the available object types.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
displayData | Array of structures with the object type display data. |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutOrientationType | ( | ) |
Returns the orientation type for flat pattern callouts.
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeContents | ( | const NXString & | calloutType | ) |
Returns the contents for a callout type.
calloutType | The name of the callout type for which to get the content. |
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeContents | ( | const char * | calloutType | ) |
Returns the contents for a callout type.
calloutType | The name of the callout type for which to get the content. |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeDisplay | ( | const NXString & | calloutType | ) |
Returns the display data for a callout type.
The name member of the Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.
calloutType | The name of the callout type for which to get the display data. |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternCalloutTypeDisplay | ( | const char * | calloutType | ) |
Returns the display data for a callout type.
The name member of the Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.
calloutType | The name of the callout type for which to get the display data. |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlatPatternObjectTypeDisplay | ( | NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType | objectType | ) |
Returns the display data for a flat pattern object type.
objectType | The object type for which to return the display data. |
NXOpen::NXColor* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableBottomFaceColor | ( | ) |
Returns the bottom face color.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableConductorSpacing | ( | ) |
Returns the conductor spacing expression.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableConductorWidth | ( | ) |
Returns the conductor width expression.
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableContactFace | ( | ) |
Returns the contact face.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableStrippingLength | ( | ) |
Returns the stripping length expression.
NXOpen::NXColor* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetFlexibleCableTopFaceColor | ( | ) |
Returns the top face color.
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetInnerCornerTreatmentType | ( | ) |
Returns the inner corner treatment type in Flat as Solid operation.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetInnerCornerTreatmentValue | ( | ) |
Returns the inner corner treatment value for Flat as Solid operations.
bool NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetIsBsplineSimplifiedInFlatSolid | ( | ) |
Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation.
bool NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetIsSystemGeneratedBendReliefRemovedInFlatSolid | ( | ) |
Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation.
NXString NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterial | ( | ) |
Returns the material name saved with the part.
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialNames | ( | ) |
Returns the material names defined in the material standards table.
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialProperties | ( | const NXString & | materialName, |
std::vector< NXString > & | propertyNames | ||
) |
Returns the material name saved with the part.
materialName | material Name |
propertyNames | properties |
std::vector<NXString> NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMaterialProperties | ( | const char * | materialName, |
std::vector< NXString > & | propertyNames | ||
) |
Returns the material name saved with the part.
materialName | material Name |
propertyNames | properties |
double NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetMinimumArcToleranceInFlatSolid | ( | ) |
Returns the minimum arc tolerance during Flat Solid simplification.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetNeutralFactor | ( | ) |
Returns the neutral factor.
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetOuterCornerTreatmentType | ( | ) |
Returns the outer corner treatment type in Flat as Solid operation.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetOuterCornerTreatmentValue | ( | ) |
Returns the out corner treatment value for Flat as Solid operations.
NXOpen::Expression* NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::GetThickness | ( | ) |
Returns the thickness expression.
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendRadius | ( | bool | updateModel, |
const NXString & | bendRadius | ||
) |
Sets the bend radius value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendRadius | default bend radius value for bend faces NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendRadius | ( | bool | updateModel, |
const char * | bendRadius | ||
) |
Sets the bend radius value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendRadius | default bend radius value for bend faces NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefDepth | ( | bool | updateModel, |
const NXString & | bendReliefDepth | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefDepth | default depth value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefDepth | ( | bool | updateModel, |
const char * | bendReliefDepth | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefDepth | default depth value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefWidth | ( | bool | updateModel, |
const NXString & | bendReliefWidth | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefWidth | default width value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetBendReliefWidth | ( | bool | updateModel, |
const char * | bendReliefWidth | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefWidth | default width value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetDeviationalToleranceInFlatSolid | ( | bool | updateModel, |
double | deviationalToleranceInFlatSolid | ||
) |
Sets the deviational tolerance during Flat Solid simplification
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
deviationalToleranceInFlatSolid | flag |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutOrientationType | ( | NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutOrientationType | orientation | ) |
Sets the orientation type for flat pattern callouts.
Created in NX9.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
orientation | The orientation type for the flat pattern callouts. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeContents | ( | const NXString & | calloutType, |
std::vector< NXString > & | contents | ||
) |
Sets the contents for a callout type.
Created in NX9.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
calloutType | The name of the callout type for which to set the content. |
contents | The contents for the callout type. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeContents | ( | const char * | calloutType, |
std::vector< NXString > & | contents | ||
) |
Sets the contents for a callout type.
Created in NX9.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
calloutType | The name of the callout type for which to set the content. |
contents | The contents for the callout type. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeDisplay | ( | const NXString & | calloutType, |
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay & | displayData | ||
) |
Sets the display data for a callout type.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
calloutType | The name of the callout type for which to set the display data. |
displayData | The display data for the callout type. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternCalloutTypeDisplay | ( | const char * | calloutType, |
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay & | displayData | ||
) |
Sets the display data for a callout type.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
calloutType | The name of the callout type for which to set the display data. |
displayData | The display data for the callout type. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlatPatternObjectTypeDisplay | ( | bool | updateModel, |
NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectType | objectType, | ||
const NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternObjectTypeDisplay & | displayData | ||
) |
Sets the display data for a flat pattern object type.
Created in NX5.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately. |
objectType | The object type for which to get the display data. |
displayData | The display data for the flat pattern object type. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableBottomFaceColor | ( | NXOpen::NXColor * | bottomFaceColor | ) |
Sets the bottom face color.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
bottomFaceColor | Bottom face color. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorSpacing | ( | const NXString & | conductorSpacing | ) |
Sets the conductor spacing value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
conductorSpacing | Default conductor spacing value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorSpacing | ( | const char * | conductorSpacing | ) |
Sets the conductor spacing value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
conductorSpacing | Default conductor spacing value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorWidth | ( | const NXString & | conductorWidth | ) |
Sets the conductor width value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
conductorWidth | Default conductor width value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableConductorWidth | ( | const char * | conductorWidth | ) |
Sets the conductor width value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
conductorWidth | Default conductor width value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableContactFace | ( | NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlexibleCableContactFaceOptions | faceOption | ) |
Sets the contact face.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
faceOption | Contact face options. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableStrippingLength | ( | const NXString & | strippingLength | ) |
Sets the stripping length value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
strippingLength | Default stripping length value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableStrippingLength | ( | const char * | strippingLength | ) |
Sets the stripping length value string.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
strippingLength | Default stripping length value for the flexible cable. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetFlexibleCableTopFaceColor | ( | NXOpen::NXColor * | topFaceColor | ) |
Sets the top face color.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
topFaceColor | Top face color. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentType | ( | bool | updateModel, |
NXOpen::Features::SheetMetal::FeatureProperty | innerCornerTreatmentType | ||
) |
Sets the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatmentType | outer corner treatment type |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentValue | ( | bool | updateModel, |
const NXString & | innerCornerTreatment | ||
) |
Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatment | default value for inner corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetInnerCornerTreatmentValue | ( | bool | updateModel, |
const char * | innerCornerTreatment | ||
) |
Sets the the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatment | default value for inner corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetIsBsplineSimplifiedInFlatSolid | ( | bool | updateModel, |
bool | isBsplineSimplifiedInFlatSolid | ||
) |
Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
isBsplineSimplifiedInFlatSolid | flag |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetIsSystemGeneratedBendReliefRemovedInFlatSolid | ( | bool | updateModel, |
bool | isSystemGeneratedBendReliefRemoved | ||
) |
Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
isSystemGeneratedBendReliefRemoved | flag |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMaterial | ( | bool | updateModel, |
const NXString & | standardName | ||
) |
Sets the material standard
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a material from the material standards file |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMaterial | ( | bool | updateModel, |
const char * | standardName | ||
) |
Sets the material standard
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a material from the material standards file |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetMinimumArcToleranceInFlatSolid | ( | bool | updateModel, |
double | minimumArcToleranceInFlatSolid | ||
) |
Sets the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
minimumArcToleranceInFlatSolid | flag |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetNeutralFactor | ( | bool | updateModel, |
const NXString & | neutralFactor | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
neutralFactor | default neutral factor value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetNeutralFactor | ( | bool | updateModel, |
const char * | neutralFactor | ||
) |
Sets the bend relief depth value
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
neutralFactor | default neutral factor value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentType | ( | bool | updateModel, |
NXOpen::Features::SheetMetal::FeatureProperty | outerCornerTreatmentType | ||
) |
Sets the the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatmentType | outer corner treatment type |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentValue | ( | bool | updateModel, |
const NXString & | outerCornerTreatment | ||
) |
Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatment | default value for out corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetOuterCornerTreatmentValue | ( | bool | updateModel, |
const char * | outerCornerTreatment | ||
) |
Sets the outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatment | default value for out corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetThickness | ( | bool | updateModel, |
const NXString & | thickness | ||
) |
Sets the thickness value string
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
thickness | default thickness value for NX Sheetmetal solids NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::SetThickness | ( | bool | updateModel, |
const char * | thickness | ||
) |
Sets the thickness value string
Created in NX4.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
updateModel | Specifies whether the solid model be recomputed immediately |
thickness | default thickness value for NX Sheetmetal solids NOTE: The full Unicode character set is not supported for this parameter. |
tag_t NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::Tag | ( | ) | const |
Returns the tag of this object.